apiVersion: apps/v1
kind: StatefulSet
metadata:
  name: mongodb
  namespace: mongo
spec:
  selector:
    matchLabels:
      app: mongodb
  serviceName: "mongodb-svc"
  replicas: 1
  template:
    metadata:
      labels:
        app: mongodb
    spec:
      containers:
      - name: mongodb
        image: registry.gitlab.com/challenge-k8s/mongo/mongo-castro:1.0.0
        ports:
        - containerPort: 27017
          name: mongodb
        volumeMounts:
        - name: mongodb-disk
          mountPath: /data/db
  volumeClaimTemplates:
  - metadata:
      name: mongodb-disk
    spec:
      accessModes: [ "ReadWriteOnce" ]
      resources:
        requests:
          storage: 1Gi